﻿@using SharedCode.Localization

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData[AppStrings.TitleParameterName] - @AppStrings.ApplicationTitle</title>
    <link href="~/Content/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/site.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/login.css" rel="stylesheet" type="text/css" />
    <script src="~/Scripts/modernizr-2.8.3.js"></script>
</head>
<body>
    <header>
        @{ string UrlPath; }
        <nav class="navbar navbar-expand-sm navbar-dark bg-dark border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand mb-0 h1" href="@Url.Action(controllerName:AppStrings.HomeControllerName, actionName:AppStrings.IndexActionName)">@AppStrings.ApplicationTitle</a>
                <button class="navbar-toggler"
                        type="button"
                        data-toggle="collapse"
                        data-target="#MainNavbarSection"
                        aria-controls="MainNavbarSection"
                        aria-expanded="false"
                        aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="MainNavbarSection">
                    <ul class="navbar-nav">
                        @{ UrlPath = Url.Action(controllerName: AppStrings.HomeControllerName, actionName: AppStrings.IndexActionName); }
                        <li class="nav-item">
                            <a class="nav-link @(Context.Request.Path.StartsWith(UrlPath) ? AppStrings.ActivePropertyName : null)" href="@UrlPath">@LanguageStrings.HomePageTitle</a>
                        </li>
                        @{ UrlPath = Url.Action(controllerName: AppStrings.HomeControllerName, actionName: AppStrings.AboutActionName); }
                        <li class="nav-item">
                            <a class="nav-link @(Context.Request.Path.StartsWith(UrlPath) ? AppStrings.ActivePropertyName : null)" href="@UrlPath">@LanguageStrings.AboutPageTitle</a>
                        </li>
                        @{ UrlPath = Url.Action(controllerName: AppStrings.HomeControllerName, actionName: AppStrings.PrivacyActionName); }
                        <li class="nav-item">
                            <a class="nav-link @(Context.Request.Path.StartsWith(UrlPath) ? AppStrings.ActivePropertyName : null)" href="@UrlPath">@LanguageStrings.PrivacyPageTitle</a>
                        </li>
                    </ul>
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item">
                            <p class="navbar-text">Online :<span id="UsersOnlineNumber">0</span></p>
                        </li>
                        @Html.Partial(AppStrings.LanguagePartialPageName, new LanguageModel())
                        @if (User.Identity.IsAuthenticated)
                        {
                            { UrlPath = Url.Action(controllerName: AppStrings.LoginControllerName, actionName: AppStrings.LogoutActionName); }
                            <li class="nav-item">
                                <a class="nav-link" href="@UrlPath">@LanguageStrings.LogoutNavbarItemName</a>
                            </li>
                        }
                        else
                        {
                            @**Ścieżka musi być ==, ponieważ każdy link zaczyna się od /, a Login Login jest adresem startowym*@
                            { UrlPath = Url.Action(controllerName: AppStrings.LoginControllerName, actionName: AppStrings.LoginActionName); }
                            <li class="nav-item">
                                <a class="nav-link @(Context.Request.Path == UrlPath ? AppStrings.ActivePropertyName : null)" href="@UrlPath">@LanguageStrings.LoginPageTitle</a>
                            </li>
                        }
                    </ul>
                </div>
            </div>
        </nav>
    </header>

    <div class="container-fluid px-0">
        @RenderBody()
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; @DateTime.Now.Year - @AppStrings.ApplicationTitle - <a>
                @Html.ActionLink(
                  linkText:LanguageStrings.PrivacyPageTitle,
                  actionName:AppStrings.PrivacyActionName,
                  controllerName:AppStrings.HomeControllerName)
            </a>
        </div>
    </footer>

    <script src="~/Scripts/jquery-3.3.1.min.js"></script>
    <script src="~/Scripts/bootstrap.bundle.min.js"></script>
    <script src="~/Scripts/bootstrap.min.js"></script>
    <script src="~/Scripts/site.js" asp-append-version="true"></script>
    <script src="~/Scripts/jquery.signalR-2.4.1.min.js"></script>
    <script src="~/signalr/hubs"></script>

    <script>
        $('.navbar-nav a').on('click', function () {
            $('.navbar-nav').find('li.active').removeClass('active');
            $(this).parent('li').addClass('active');
        });
    </script>
    <script>
        $(function () {
            // Reference the auto-generated proxy for the hub.
            var userActivity = $.connection.appUsersHub;
            // Create a function that the hub can call back to display messages.
            userActivity.client.UsersOnlineCount = function (count) {

                $('#UsersOnlineNumber').text(count);
            };
            userActivity.client.UsersOnlineList = function (userList) {

                //Take action with userList
            };

            $.connection.hub.start();
        });
    </script>


    @RenderSection("Scripts", required: false)
</body>
</html>